Bug 20225 - Remove unused script reports/stats.print.pl
Summary: Remove unused script reports/stats.print.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20510 20603
  Show dependency treegraph
 
Reported: 2018-02-16 10:20 UTC by Julian Maurice
Modified: 2018-04-19 03:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20225: Remove unused script reports/stats.print.pl (5.46 KB, patch)
2018-02-16 10:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20225: Remove unused script reports/stats.print.pl (5.50 KB, patch)
2018-02-23 20:00 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20225: Remove unused script reports/stats.print.pl (5.54 KB, patch)
2018-02-23 20:07 UTC, Maksim Sen
Details | Diff | Splinter Review
Bug 20225: Remove unused script reports/stats.print.pl (5.65 KB, patch)
2018-02-23 22:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2018-02-16 10:20:14 UTC
The last occurence of stats.print.pl was removed by the following commit

commit ca4b23e929b2636054263cab35f50a07dc8a02e4
Author:     Chris Cormack <crc@liblime.com>
AuthorDate: Mon Jan 7 20:42:36 2008 -0600
Commit:     Joshua Ferraro <jmf@liblime.com>
CommitDate: Mon Jan 7 20:49:16 2008 -0600

    Work in progress, working on the til reconciliation report

    More patches to come

    Signed-off-by: Joshua Ferraro <jmf@liblime.com>


This script should be removed
Comment 1 Julian Maurice 2018-02-16 10:22:23 UTC
Created attachment 71710 [details] [review]
Bug 20225: Remove unused script reports/stats.print.pl

Test plan:
1. Verify that there is no remaining references to this script
Comment 2 Roch D'Amour 2018-02-23 20:00:00 UTC
Created attachment 72153 [details] [review]
Bug 20225: Remove unused script reports/stats.print.pl

Test plan:
1. Verify that there is no remaining references to this script

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Maksim Sen 2018-02-23 20:07:53 UTC
Created attachment 72158 [details] [review]
Bug 20225: Remove unused script reports/stats.print.pl

Test plan:
1. Verify that there is no remaining references to this script

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Signed-off-by: Maksim Sen <maksim@inlibro.com>
Comment 4 Katrin Fischer 2018-02-23 22:07:15 UTC
Created attachment 72165 [details] [review]
Bug 20225: Remove unused script reports/stats.print.pl

Test plan:
1. Verify that there is no remaining references to this script

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Signed-off-by: Maksim Sen <maksim@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=20255
Comment 5 Jonathan Druart 2018-02-26 16:29:28 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-03-23 01:27:05 UTC
Skipping for stable